Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706984 - app-crypt/acme-client-0.1.16 : fails to build with -fno-common or gcc-10
Summary: app-crypt/acme-client-0.1.16 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Cédric Krier
URL:
Whiteboard: ~arch only
Keywords: PMASKED, PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:54 UTC by Toralf Förster
Modified: 2021-02-16 09:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.00 KB, text/plain)
2020-01-28 18:54 UTC, Toralf Förster
Details
app-crypt:acme-client-0.1.16:20200128-175715.log (app-crypt:acme-client-0.1.16:20200128-175715.log,14.51 KB, text/plain)
2020-01-28 18:54 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,146.29 KB, text/plain)
2020-01-28 18:54 UTC, Toralf Förster
Details
environment (environment,45.48 KB, text/plain)
2020-01-28 18:54 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.33 KB, application/x-bzip)
2020-01-28 18:54 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,12.54 KB, application/x-bzip)
2020-01-28 18:55 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:54:45 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -g -W -Wall -DHAVE_CONFIG_H  -I/usr/local/include/libressl   -c -o util.o util.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -g -W -Wall -DHAVE_CONFIG_H  -I/usr/local/include/libressl   -c -o util-portable.o util-portable.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -g -W -Wall -DHAVE_CONFIG_H  -I/usr/local/include/libressl   -c -o sandbox-null.o sandbox-null.c
x86_64-pc-linux-gnu-gcc -o acme-client acctproc.o base64.o certproc.o chngproc.o dbg.o dnsproc.o fileproc.o http.o jsmn.o json.o keyproc.o main.o netproc.o revokeproc.o rsa.o util.o util-portable.o sandbox-null.o -Wl,-O1 -Wl,--as-needed -L/usr/local/lib -ltls -lssl -lcrypto -lbsd 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: base64.o:/var/tmp/portage/app-crypt/acme-client-0.1.16/work/acme-client-portable-0.1.16/extern.h:268: multiple definition of `proccomp'; acctproc.o:/var/tmp/portage/app-crypt/acme-client-0.1.16/work/acme-client-portable-0.1.16/extern.h:268: first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: base64.o:/var/tmp/portage/app-crypt/acme-client-0.1.16/work/acme-client-portable-0.1.16/extern.h:263: multiple definition of `verbose'; acctproc.o:/var/tmp/portage/app-crypt/acme-client-0.1.16/work/acme-client-portable-0.1.16/extern.h:263: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 16:11:57 +0000

emerge -qpvO app-crypt/acme-client
[ebuild  N    ] app-crypt/acme-client-0.1.16
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:54:48 UTC
Created attachment 607008 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:54:51 UTC
Created attachment 607010 [details]
app-crypt:acme-client-0.1.16:20200128-175715.log
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:54:53 UTC
Created attachment 607012 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:54:56 UTC
Created attachment 607014 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:54:59 UTC
Created attachment 607016 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:55:02 UTC
Created attachment 607018 [details]
temp.tbz2
Comment 7 Sam James archtester gentoo-dev Security 2020-10-31 05:24:58 UTC
Dead upstream, now included in OpenBSD.
Comment 8 Larry the Git Cow gentoo-dev 2021-02-16 09:11:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cb23302541503abefcb2b7578cfadbe09d7f266

commit 0cb23302541503abefcb2b7578cfadbe09d7f266
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-16 09:11:00 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-16 09:11:00 +0000

    app-crypt/acme-client: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/762310
    Closes: https://bugs.gentoo.org/706984
    
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-crypt/acme-client/Manifest                  |  1 -
 app-crypt/acme-client/acme-client-0.1.16.ebuild | 30 -------------------------
 app-crypt/acme-client/metadata.xml              | 13 -----------
 profiles/package.mask                           |  9 --------
 4 files changed, 53 deletions(-)